card__image

A mandatory update for the Impleum QT wallet

There is a mandatory update for the Impleum QT wallet to v1.1.0.12 https://github.com/impleum/ImpleumQt/releases/tag/v1.1.0.12 The wallet includes the following: Add testnet nodes, add checkpoint, fix calculation, version up. Fix PoW reward error on block 75000. You need to update your wallet to version 1.1.0.12. These wallets will support valid chain.